Name: fluxbox
Version: 0.9.13
Release: alt3.3

Summary: Fast and lightweight window manager
Summary(ru_RU.CP1251):     
Summary(ru_RU.KOI8-R):     
Summary(ru_RU.UTF-8): Легкий и быстрый оконный менеджер

License: MIT
Group: Graphical desktop/Other
Url: http://fluxbox.org
Packager: php-coder <php-coder@altlinux.ru>

Source0: %name-%{version}svn20050725.tar.bz2
Source1: %name.menu
Source2: %name.menu-methods
Source3: %name.wmsession
Source4: %name-icons.tar.bz2
Source5: README.ALT.koi8-r

Patch0: %name-0.9.13-alt-style-cthulhain.patch
Patch1: %name-0.9.13-alt-src-l10n-svn_translate.patch

# Patch from Eike <jan_eike_von.seggern@mailbox.tu-dresden.de>
# http://www.physik.tu-dresden.de/~s6107457/fluxbox/title.patch
Patch2: %name-0.9.13-eike-src-title.patch

Patch3: %name-0.9.13-alt-makefile-configure-src-encoding.patch
Patch4: %name-0.9.13-alt-makefile-no_generate_menu.patch
Patch5: %name-0.9.13-alt-style-disable_fonts.patch

# This is adapted patch from Anatoli Sakhnik <sakhnik@users.sourceforge.net>
# FIXME: URL
Patch6: %name-0.9.13-alt-makefile-configure-l10n-uk_UA_locale.patch.bz2

Requires: man >= 1.5k-alt1
Provides: %name >= 0.1.14-alt1

# Automatically added by buildreq on Thu May 12 2005
BuildRequires: xorg-x11-devel xorg-x11-libs fontconfig-devel freetype2-devel
BuildRequires: gcc-c++ libstdc++-devel pkgconfig zlib-devel imlib2-devel

%description
Fluxbox designed for those peoples that unlike huge and feature-overloaded window manages. It has a lot of good features and one of them it's high speed. It's very simply for configurate and it compiled with support to KDE and GNOME applets. In addition this package include 22 original themes for wm. Enjoy! :))

%description -l ru_RU.CP1251
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.KOI8-R
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.UTF-8
Fluxbox предназначен для тех, кто не любит навороченные и неповоротливые оконные менеджеры. Он обладает множеством различных достоинств, главным из которых является его скорость. Он прост в настройке и скомпилирован с поддержкой аплетов из KDE и Gnome. Кроме того в состав пакета входят 22 оригинальных темы для него. Enjoy! :))

%prep
%setup -q -a4

%__bzip2 -dc %PATCH6 | %__patch -p1

# for svn_translate patch:
pushd nls
for dir in *; do
if [ -d "$dir" ]; then
pushd "$dir"
BEGIN=`%__awk '/set 3/{print NR+1}' Translation.m`
END=`%__awk '/set 4/{print NR-1}' Translation.m`
%__mv Translation.m Translation.m.old
%__awk '{if(NR>FIRST&&NR<LAST){if($1>16){$1++;print $0}else{print $0}}else{print $0}}' \
FIRST=$BEGIN LAST=$END Translation.m.old > Translation.m
%__rm -f Translation.m.old
popd
fi
done
popd

%__patch -p1 -i %PATCH1

# for encoding patch:
pushd nls
%__cp -r ru_RU ru_RU.CP1251
%__cp -r ru_RU ru_RU.UTF-8
%__mv ru_RU ru_RU.KOI8-R
%__rm -f ru_RU.{CP1251,UTF-8}/Translation.m
iconv -f koi8-r -t cp1251 ru_RU.KOI8-R/Translation.m > ru_RU.CP1251/Translation.m
iconv -f koi8-r -t utf8 ru_RU.KOI8-R/Translation.m > ru_RU.UTF-8/Translation.m
%__subst 's|KOI8-R|CP1251|' ru_RU.CP1251/Translation.m
%__subst 's|KOI8-R|UTF-8|' ru_RU.UTF-8/Translation.m
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.CP1251|' ru_RU.CP1251/Makefile.am
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.UTF-8|' ru_RU.UTF-8/Makefile.am
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.KOI8-R|' ru_RU.KOI8-R/Makefile.am
popd

%__patch -p1 -i %PATCH0
%__patch -p1 -i %PATCH2
%__patch -p1 -i %PATCH3
%__patch -p1 -i %PATCH4
%__patch -p1 -i %PATCH5

# fixed remain bsetroot
%__grep -lZ bsetroot data/styles/* | xargs -r0 %__sed -ie 's|bsetroot|fbsetroot|g'

%build
./autogen.sh
#%%__autoconf # recreate configure script (after apply encoding patch)

%configure  --with-style=%_datadir/%name/styles/Cthulhain \
			--with-init=%_sysconfdir/X11/%name/init \
			--with-keys=%_sysconfdir/X11/%name/keys \
			--with-menu=%_sysconfdir/X11/%name/menu \
			--enable-nls \
			--enable-imlib2 \
			--with-x
%make_build

%install
%add_findreq_skiplist %_bindir/fluxbox-generate_menu %_bindir/startfluxbox %_bindir/fbsetbg

%make_install DESTDIR=%buildroot install

%find_lang --custom-dir-script="
s:%buildroot::
s:\(.*/share/fluxbox/nls/\)\(C\|[a-z][^/_@]\+\):%lang(\2) \1\2:
s:^\([^%].*\)::
s:%lang(C) ::" %name

%__install -pD -m 644 %name-64.xpm %buildroot%_liconsdir/FluxBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

%__install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m 755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name
%__install -pD -m 644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/07%name
%__install -pD -m 644 %SOURCE5 .

%__mkdir_p %buildroot%_mandir/ru/man1
iconv -f utf8 -t koi8-r doc/ru/%name.1 > %buildroot%_mandir/ru/man1/%name.1

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%_bindir/*
%_man1dir/*
%_mandir/ru/man1/*
%_iconsdir/*/*
%_iconsdir/%name.xpm
%_menudir/*
%_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*

%dir %_sysconfdir/X11/%name
%config %_sysconfdir/X11/%name/[!m]*
%ghost %verify(not mtime md5 size) %_sysconfdir/X11/%name/menu

%dir %_datadir/%name
%dir %_datadir/%name/nls
%_datadir/%name/styles

%changelog
* Fri Aug 26 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt3.3
- Updated menu-method (#7524, thnx zerg@)
  + Added icons to submenus
  + Header in menu is "ALT Linux"
  + Search icons in /usr/share/icons/hicolor/16x16/apps
- Using one menu-method in entry "Update menu"
  (thnx Afanasov Dmitry <ender@comp-mir.ru> for bugreport)
- Added uk_UA localization file (patch uk_UA_locale)

* Tue Jul 26 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt3.2
- SVN snapshot 20050725 (fixed #7389)
- Added patches:
  + title: using the mouse wheel in the window title switches between
    tabbed windows (patch from Eike
    <jan_eike_von.seggern@mailbox.tu-dresden.de>)
  + cthulhain: fixed border around workspace in toolbar
  + svn_translate: added translation about SVN revision to -info
    output
  + disable_fonts: fixed fonts
- Adapted encoding and no_genarate_menu patches
- Removed patches (in upstream now): with_locale_path_option,
  fixed_configure_options, be_by_locale
- Removed utf8_slow_start patch
- Added README.ALT.koi8-r (1,8 Kb)
- Removed INSTALL file (4,1 Kb)
- Use %%__patch instead of builtin %%patch
- Formatted %%changelog

* Thu Jun 02 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt3.1
- Delete all russian comments in spec file (#6649)

* Sun May 22 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt3
- Added be_BY localization file (patch be_by_locale -- thnx kas@)
- Fixed --with-{init,keys,menu} options for configure when they not
  installed configuration files (patch fixed_configure_options)

* Wed May 18 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt2
- The package has less dependencies (through using
  %%add_findreq_skiplist macros)
- Submenu "Session" entries update: About, Update menu and
  Tools/Window name
- Used patch no_generate_menu to switch off menu generation on build
  by fluxbox-generate_menu
- Patches and specs do not update Makefile.in files as they are
  generated out of Makefile.am on build

* Sat May 14 2005 php-coder <php-coder@altlinux.ru> 0.9.13-alt1
- Version bumped to 0.9.13
  You can find full list of changes in NEWS and ChangeLog files
- Fluxbox developers were kind enough to include my patches
  translation-clock, default_style and with_menu_keys_init_options
  into current version, so the have been removed from the package.
- Updated encoding and with_locale_path_option patches
- Remove Coding_style, README.menu and README.style files from the
  documentation

* Thu May 12 2005 php-coder <php-coder@altlinux.ru> 0.9.12-alt1
- First build for Sisyphus
- Updated BuildRequires
- Header in them menu is "ALTLinux"
- When menu is generated icons are looked for in /usr/share/pixmaps
- Added genericname in menu-file
- Menu entry "Session" in one before last in the menu
- Using macros AC_CONFIG_HEADER instead of obsolete AM_CONFIG_HEADER

* Fri Apr 29 2005 php-coder <php-coder@altlinux.ru> 0.9.12-alt0.M24.1
- First ALTLinux build
- It's using title() instead of $title in menu-methods
- It's using term() instead of xterm in menu-methods
- Control points names on the menu translating "on the fly" when menu
  is generating
- longtitle is in English menu file
- %%setup is called with -q option to make terminal output cleanly
- Added utf8_slow_start patch, which fixes the problem with delay at
  startup in UTF locale (thnx Sergey Kuleshov <svytogor@gentoo.org>)

